## org.eclipse.datatools.connectivity.sqm.loader
Class SchemaObjectFilterProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.ConnectionFilterProvider
          org.eclipse.datatools.connectivity.sqm.loader.SchemaObjectFilterProvider

All Implemented Interfaces:
  IConnectionFilterProvider

public class SchemaObjectFilterProvider
extends ConnectionFilterProvider

Filter provider implementation for objects contained within schema. This implementation looks for a filter associated with a Schema object (i.e. catalog.schema.filterType). If that does not exist it searches for a filter associated with the catalog containing the schema (i.e. catalog.filterType). If that does not exist, it searches for a default filter on the connection profile (i.e. filterType).

Since:
  1.0

Constructor Summary
`SchemaObjectFilterProvider(java.lang.String filterType)`

Method Summary
`ConnectionFilter` `getConnectionFilter(ICatalogObject catalogObject)` Returns the ConnectionFilter associated with the given catalog object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaObjectFilterProvider

    public SchemaObjectFilterProvider(java.lang.String filterType)

Parameters:
  `filterType` - the type of filter (e.g. ConnectionFilter.TABLE_FILTER)

Method Detail

### getConnectionFilter

    public ConnectionFilter getConnectionFilter(ICatalogObject catalogObject)

  Description copied from interface: `IConnectionFilterProvider`
  Returns the ConnectionFilter associated with the given catalog object. For example: If this object is to be used in conjunction with a table loader, this method should return the ConnectionFilter representing the table filtering criteria for the specified object (e.g. a particular schema object).

  Parameters:
    `catalogObject` - the catalog object being loaded.
  Returns:
    the schema ConnectionFilter associated with the specified catalog object (which must be a Schema).
  See Also:
    `IConnectionFilterProvider.getConnectionFilter(org.eclipse.datatools.connectivity.sqm.core.rte.ICatalogObject)`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.